# endpoints.py README

The endpoints.py script is a comprehensive utility module that is part of the abstract_ai package. It mainly handles the token and model information for different AI models, and their relevant endpoints.

### Functions

1. `get_token_js()`: This function returns a JSON dictionary containing information about tokens and endpoints for various AI models.

2. `get_model_info()`: This function retrieves the inversed JSON dictionary of model information where keys are model names and values are the corresponding token numbers.

3. `get_endpoint_info()`: This function returns a JSON dictionary of endpoints with their associated models.

4. `get_token_info()`: This function retrieves the inverted JSON dictionary of token information where keys are token numbers and values are the names of the respective models.

5. `default_endpoint()`: This function returns a default endpoint based on the 'endpoint_selection' setting.

6. `default_model()`: Returns the default model based on the 'model_selection' setting.

7. `default_tokens()`: Returns the default number of tokens based on the 'token_selection' setting.

8. `get_defaults()`: This function returns a dictionary containing the default values for the endpoint, model, and tokens. User can optionally input custom values for endpoint, model, and tokens.

### Author
Author: Putkoff

Email: partners@abstractendeavors.com

GitHub: https://github.com/AbstractEndeavors/abstract_essentials/tree/main/abstract_ai

PyPi: https://pypi.org/project/abstract-ai/

License: MIT

Version: 0.1.4.0

For more information, please visit the repository and navigate to endpoints.py
